Bug 33849 - db2 is not LFS capable
db2 is not LFS capable
Product: Red Hat Linux
Classification: Retired
Component: db2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-03-29 09:18 EST by Nils Philippsen
Modified: 2013-07-02 18:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-15 07:15:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch needed so that db2 uses open64() (224 bytes, patch)
2001-03-29 09:24 EST, Nils Philippsen
no flags Details | Diff

  None (edit)
Description Nils Philippsen 2001-03-29 09:18:50 EST
On the Intel IA32 architecture, db2 uses normal open(), lseek(), ...
calls which renders it useless as a backend (e.g. for openldap) if database
files get larger than 2 GB. I have verified this with the version shipped
with Red Hat Linux 7 (2.4.14-4) as well as the one shipped with wolverine
(or qa0325 for that matter), 2.4.14-5.

The solution for this is quite simple, just build it like this:


after applying the patch I'll attach immediately.
Comment 1 Nils Philippsen 2001-03-29 09:24:34 EST
Created attachment 14105 [details]
Patch needed so that db2 uses open64()
Comment 2 Kurt Zingler 2001-04-02 21:20:27 EDT
There is a similar problem with mysql on both fisher and wolverine (both are intel architecture).  Only with mysql the max files 
size for a table appears to be 4GB.
Comment 3 Nils Philippsen 2001-04-03 03:06:00 EDT
The same issue is also with db3 (I wouldn't mind about db1 -- we compiled
it to use LFS, but it didn't work out), only that you don't need a patch but you
just have to set the macros accordingly.
Comment 4 Jindrich Novy 2006-02-15 07:15:57 EST
Applied since db4-4.3.29-2.
Comment 5 Dmitry V. Levin 2006-03-19 10:57:09 EST
The db-4.3.29-lfs.patch change applied to db-4.3.29 is not needed and does not
affect db behaviour.

Note You need to log in before you can comment on or make changes to this bug.